Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_find_statements

## Name

librdf_model_find_statements -- find matching statements in the model

## Synopsis

``librdf_stream* `librdf_model_find_statements`` (librdf_model* `model`, librdf_statement* `statement`);`

## Arguments

`model`

  the model object

`statement`

  the partial statement to match

## Description

The partial statement is a statement where the subject, predicate and/or object can take the value NULL which indicates a match with any value in the model

## Return value

a librdf_stream of statements (can be empty) or NULL on failure.

<<< Previous | Home | Next >>>
librdf_model_serialise | Up | librdf_model_get_sources